# binaryninja.interaction.get_text_line_input

`binaryninja.interaction.``get_text_line_input`(prompt, title)

  `get_text_line_input` prompts the user to input a string with the given prompt and title.

  Note: This API function differently on the command line vs. the UI. In the UI a popup is used. On the commandline
    a simple text prompt is used.

  Parameters:

  - prompt (str) – String to prompt with.
  - title (str) – Title of the window when executed in the UI.

  Return type: | string containing the input without trailing newline character.

  Example:

      >>> get_text_line_input("PROMPT>", "getinfo")
      PROMPT> Input!
      'Input!'